const state = {
  email: {}
}

const mutations = {
  SET_EMAIL: (state, email) => {
    // state.email.push(email)
    state.email = email
  },
  CLEAR_EMAIL: (state) => {
    // state.email.splice(0)
    state.email = {}
  }
}

const actions = {
  addEmail({ commit }, email) {
    commit('SET_EMAIL', email)
  },
  clearEmail({ commit }) {
    commit('CLEAR_EMAIL')
  }
}

export default {
  namespaced: true,
  state,
  mutations,
  actions
}
