import request from '@/utils/request'

export function addAnnc(data) {
  return request({
    url: '/annc/addAnnc',
    method: 'post',
    data
  })
}

export function getAnncList(data) {
  return request({
    url: '/annc/anncList',
    method: 'get',
    data
  })
}

export function updateAnnc(data) {
  return request({
    url: '/annc/updateAnnc/' + data.idx,
    method: 'put',
    data
  })
}
