import request from '@/utils/request'

export function addAudit(data) {
  return request({
    url: '/audit/addAudit',
    method: 'post',
    data
  })
}

export function getAuditList(data) {
  return request({
    url: '/audit/auditList',
    method: 'get',
    data
  })
}

export function updateAudit(data) {
  return request({
    url: '/audit/updateAudit/' + data.idx,
    method: 'put',
    data
  })
}
