import request from '@/utils/request'

export function sendEmail(data) {
  return request({
    url: '/email/send',
    method: 'post',
    data
  })
}

export function getEmailList() {
  return request({
    url: '/email/list',
    method: 'get'
  })
}

export function updateEmail(data) {
  return request({
    url: '/email/update',
    method: 'put',
    data
  })
}

export function delEmail(mailid) {
  return request({
    url: '/email/delete/' + mailid,
    method: 'delete'
  })
}
